List background tasks
GET
/background-tasks/
const url = 'https://api.semantico.ai/api/v1/background-tasks/?status=pending&page=1&page_size=20';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.semantico.ai/api/v1/background-tasks/?status=pending&page=1&page_size=20' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”task_type
string
status
string
upload_group_id
integer
page
integer
Page number, starting at 1.
page_size
integer
Number of results per page.
Responses
Section titled “Responses”Paginated background tasks
Media typeapplication/json
object
pagination
object
links
object
next
URL of the next page, or null on the last page.
string | null format: uri
previous
URL of the previous page, or null on the first page.
string | null format: uri
total
Total number of results across all pages.
integer
page_size
integer
page
integer
results
Array<object>
object
id
integer
celery_task_id
string
task_type
string
task_type_label
string
status
string
progress
object
current
integer
total
integer
percentage
integer | null
message
string
timing
object
created_at
string format: date-time
started_at
string | null format: date-time
finished_at
string | null format: date-time
updated_at
string format: date-time
elapsed_seconds
integer
error
object | null
result
object | null
resource
object | null
metadata
object
Example
{ "results": [ { "status": "pending" } ]}